# Interface TransitionPromise

interface TransitionPromise {
"[toStringTag]": string;
transition: Transition;
catch<TResult = never>(
onrejected?: (reason: any) => TResult | PromiseLike<TResult>,
): Promise<StateObject | TResult>;
finally(onfinally?: () => void): Promise<StateObject>;
then<TResult1 = StateObject, TResult2 = never>(
onfulfilled?: (value: StateObject) => TResult1 | PromiseLike<TResult1>,
onrejected?: (reason: any) => TResult2 | PromiseLike<TResult2>,
): Promise<TResult1 | TResult2>;
}

#### Hierarchy

- Promise<StateObject>
  - TransitionPromise

- Defined in src/router/state/interface.ts:20

##### Index

### Properties

[toStringTag]
transition

### Methods

catch
finally
then

## Properties

### `Readonly`[toStringTag]

"[toStringTag]": string

Inherited from Promise.[toStringTag]

- Defined in node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:176

### transition

transition: Transition

- Defined in src/router/state/interface.ts:21

## Methods

### catch

- catch<TResult = never>(
  onrejected?: (reason: any) => TResult | PromiseLike<TResult>,
  ): Promise<StateObject | TResult>

  Attaches a callback for only the rejection of the Promise.

  #### Type Parameters

  - TResult = never

  #### Parameters

  - `Optional` onrejected: (reason: any) => TResult | PromiseLike<TResult>

    The callback to execute when the Promise is rejected.

  #### Returns Promise<StateObject | TResult>

  A Promise for the completion of the callback.

  Inherited from Promise.catch

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1557

### finally

- finally(onfinally?: () => void): Promise<StateObject>

  Attaches a callback that is invoked when the Promise is settled (fulfilled or rejected). The resolved value cannot be modified from the callback.

  #### Parameters

  - `Optional` onfinally: () => void

    The callback to execute when the Promise is settled (fulfilled or rejected).

  #### Returns Promise<StateObject>

  A Promise for the completion of the callback.

  Inherited from Promise.finally

  - Defined in node_modules/typescript/lib/lib.es2018.promise.d.ts:29

### then

- then<TResult1 = StateObject, TResult2 = never>(
  onfulfilled?: (value: StateObject) => TResult1 | PromiseLike<TResult1>,
  onrejected?: (reason: any) => TResult2 | PromiseLike<TResult2>,
  ): Promise<TResult1 | TResult2>

  Attaches callbacks for the resolution and/or rejection of the Promise.

  #### Type Parameters

  - TResult1 = StateObject
  - TResult2 = never

  #### Parameters

  - `Optional` onfulfilled: (value: StateObject) => TResult1 | PromiseLike<TResult1>

    The callback to execute when the Promise is resolved.

  - `Optional` onrejected: (reason: any) => TResult2 | PromiseLike<TResult2>

    The callback to execute when the Promise is rejected.

  #### Returns Promise<TResult1 | TResult2>

  A Promise for the completion of which ever callback is executed.

  Inherited from Promise.then

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1550